ranges::actions::shuffle_fn Struct Reference

## Synopsis of methods

constexpr shuffle_fn | shuffle {}

## Public Member Functions

template<typename Gen >
CPP_TEMPLATE_AUX_0 | c (requires ` uniform_random_bit_generator< Gen >) ccconstexpr auto operator()(Gen &&gen) const
template<typename Gen >
CPP_TEMPLATE_AUX_0 | c (requires ` uniform_random_bit_generator< Gen >) ccconstexpr auto operator()(Gen &gen) const
template<typename Rng , typename Gen >
CPP_TEMPLATE_AUX_0 | R (requires ` random_access_range< Rng > &&permutable< iterator_t< Rng >> &&uniform_random_bit_generator< std::remove_reference_t< Gen >> &&convertible_to< invoke_result_t< Gen & >, range_difference_t< Rng >>) RRRng operator()(Rng &&rng
return | static_cast (rng)

## Public Attributes

CPP_TEMPLATE_AUX_0 Gen &&gen | const

## Methods

## shuffle

constexpr shuffle_fn shuffle {}

related

See also
  `action_closure`

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Gen&& gen ranges::actions::shuffle_fn::const

Initial value:
{
ranges::shuffle(rng, static_cast<Gen &&>(gen))